%define _unpackaged_files_terminate_build 0
%define __pymake python setup.py

Summary:	KRISP database python extension
Summary(ko): KRISP python 확장
Name:		python-krisp
Version:	2.1.1
Release:	1%{?dist}
Epoch:		100
License:	GPL
Group:		Development/Languages
URL:		http://oops.org/
Source0:	ftp://mirror.oops.org/pub/oops/python/krisp-%{version}.tar.bz2
Patch0:		krisp-search-krisp-h.patch
Patch1:		krisp-gcc4-wrong-build.patch

BuildRoot:	/var/tmp/%{name}-root
BuildRequires: python-devel python libkrisp-devel
Requires:	python libkrisp libkrisp-data

%description
KRISP database python extension

%prep
%setup -q -n krisp-%{version}
%patch0 -p1
%patch1 -p1

%build

#
# pre install for build
#
env CFLAGS="%{optflags}" %{__pymake} build

%install
%{__pymake} install --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/python2.*/site-packages/krisp.so

%changelog
* Thu Jan 22 2015 JoungKyun.Kim <http://oops.org> - 100:2.1.1-1%{?dist}
- rebuilt on AN3

* Tue Jan 24 2012 JoungKyun.Kim <http://oops.org> - 2.1.1-1%{?dist}
- first packaged on AN2
